Bug 1414678 - deadlock on cos cache rebuild
Summary: deadlock on cos cache rebuild
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
Marc Muehlfeld
URL:
Whiteboard:
Depends On: 1410514
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 08:48 UTC by Jaroslav Reznik
Modified: 2020-04-15 15:07 UTC (History)
13 users (show)

Fixed In Version: 389-ds-base-1.3.5.10-16.el7_3
Doc Type: Bug Fix
Doc Text:
Previously, if the cos_post_op() function was called while the back-end database was locked, a deadlock occurred when rebuilding the Class of Service (CoS) cache. Directory Server now rebuilds the CoS cache without requiring the internal lock. As a result, the deadlock situation no longer occurs in the described situation.
Clone Of: 1410514
Environment:
Last Closed: 2017-03-02 17:13:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0385 0 normal SHIPPED_LIVE 389-ds-base bug fix update 2017-03-02 22:06:04 UTC

Description Jaroslav Reznik 2017-01-19 08:48:10 UTC
This bug has been copied from bug #1410514 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 5 Sankar Ramalingam 2017-02-07 10:33:54 UTC
Executed upstream tests - https://fedorahosted.org/389/attachment/ticket/49079/ticket49079_test.py


[0 root@qeos-5 tickets]# py.test -v -s ticket49079_test.py 
===================================================== test session starts =====================================================
platform linux2 -- Python 2.7.5 -- py-1.4.27 -- pytest-2.7.0 -- /usr/bin/python
rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests/tests/tickets, inifile: 
plugins: html, cov, beakerlib
DS build: 1.3.5.10 B2017.031.2344
389-ds-base: 1.3.5.10-17.el7_3
nss: 3.21.3-2.el7_3
nspr: 4.11.0-1.el7_2
openldap: 2.4.44-1.el7
svrcore: 4.1.2-1.el7

collected 1 items 

ticket49079_test.py::test_ticket49079 OK group dirsrv exists
OK user dirsrv exists
INFO:lib389:List backend with suffix=dc=example,dc=com
INFO:lib389:Found entry dn: cn=replrepl,cn=config
cn: bind dn pseudo user
cn: replrepl
objectClass: top
objectClass: person
sn: bind dn pseudo user
userPassword: {SSHA}QOTyrL6fqHtnx4deTTCZOFzXuPt9c5eeWeGNRA==


OK group dirsrv exists
OK user dirsrv exists
INFO:lib389:List backend with suffix=dc=example,dc=com
INFO:lib389:Found entry dn: cn=replrepl,cn=config
cn: bind dn pseudo user
cn: replrepl
objectClass: top
objectClass: person
sn: bind dn pseudo user
userPassword: {SSHA}OYmx20dkWphkFgte/G2p74S3QShf/R8jTLYr1w==


INFO:lib389:Starting total init cn=meTo_localhost:39002,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config
('Update succeeded: status ', '0 Total update succeeded')
INFO:dirsrvtests.tests.tickets.ticket49079_test:Replication is working.
INFO:lib389:Pausing replication cn=meTo_localhost:39001,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config
INFO:lib389:Pausing replication cn=meTo_localhost:39002,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config
INFO:lib389:Resuming replication cn=meTo_localhost:39001,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config
INFO:lib389:Resuming replication cn=meTo_localhost:39002,cn=replica,cn=dc\3Dexample\2Cdc\3Dcom,cn=mapping tree,cn=config
PASSEDInstance slapd-master_1 removed.
Instance slapd-master_2 removed.

==== 1 passed in 75.72 seconds ==== 

Tests PASSed. Hence, marking the bug as Verified.

[0 root@qeos-5 tickets]# rpm -qa |grep -i 389-ds
389-ds-base-libs-1.3.5.10-17.el7_3.x86_64
389-ds-base-1.3.5.10-17.el7_3.x86_64

Comment 7 errata-xmlrpc 2017-03-02 17:13:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0385.html


Note You need to log in before you can comment on or make changes to this bug.